dbh_set_data(3)

-

NAME
dbh_set_data, dbh_set_key - set the record data or record key

SYNOPSIS
#include <dbh.h>

void dbh_set_data (DBHashTable *dbh, void *data, FILE_POINTER size);

void dbh_set_key (DBHashTable *dbh, unsigned char *key);

DESCRIPTION
The dbh_set_data function copies the user data into the current DBHashTable record and along with function dbh_set_key makes the current DBHashTable record ready for the dbh_update function to commit to the actual DBHashTable on disk or if only the key is set, ready for the dbh_load function to load the current record data from disk. data is a pointer from where the data is to be copied to the current DBHashTable record and size is the amount of bytes to copy.

The dbh_set_key function sets the key of the current DBHashTable record.

RETURN VALUE
These functions do not return anything.

NOTES
The length of the key to be copied is taken from the number of branches defined when the DBHashTable was created.

SEE ALSO
dbh (0), dbh_update (3), dbh_load (3)

Author
Edscott Wilson Garcia <edscott@xfce.org>